NetBIOS Remote Code Execution Vulnerability

Published: 2017-09-12 22:37:57
Severity Low
Patch available YES
Number of vulnerabilities 1
CVSSv2 6.1 (AV:A/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:OF/RC:C)
CVSSv3 8.3 [CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H/E:U/RL:O/RC:C]
CVE ID CVE-2017-0161
CWE ID CWE-362
Exploitation vector Local network
Public exploit Not available
Vulnerable software Windows
Windows Server
Vulnerable software versions Windows 8.1
Windows 7
Windows 10
Windows RT 8.1
Windows Server 2012
Windows Server 2012 R2
Windows Server 2008 R2
Windows Server 2016
Vendor URL Microsoft
Advisory type Public

Security Advisory

1) Race condition

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

A race condition that could lead to a remote code execution vulnerability exists in NetBT Session Services when NetBT fails to maintain certain sequencing requirements.  A remote  attacker can  send specially crafted NetBT Session Service packets to the affected system and execute arbitrary code on the vulnerable system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Remediation

Install updates from vendor's website.

External links

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2017-0161

Back to List